Bug 11451 - cp always runs interactively
Summary: cp always runs interactively
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: fileutils   
(Show other bugs)
Version: 6.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-16 17:45 UTC by edward.connell
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-16 17:45:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description edward.connell 2000-05-16 17:45:11 UTC
The latest 'cp' always runs interactively as if '-i' option is set.  (We
realize the copy will fail...it just fails wrong now.)

----------    1 mithor   mithor          0 May 16 12:52 xx.out
-rw-r--r--    1 mithor   mithor          6 May 16 13:15 yy.out

RH 6.2 cp binary (incorrect)
mithor@redleader> /bin/cp yy.out xx.out
/bin/cp: overwrite `xx.out', overriding mode 0000?

RH 6.1 cp binary (correct)
mithor@redleader> ./cp yy.out xx.out
./cp: cannot create regular file `xx.out': Permission denied

Comment 1 Bernhard Rosenkraenzer 2000-06-23 11:50:37 UTC
Remove the alias cp="cp -i" line from your ~/.bashrc


Note You need to log in before you can comment on or make changes to this bug.